Material Download

Material can be downloaded using this call.

POST /production/{prId}/download

__

Details
Description
Parameters
Path Parameters
Name Description Required Type

prId

✔

Long

Body Parameters
Name Description Required Type

DownloadRequest

✘

DownloadRequest

DownloadRequest

Field Name Required Type Description Format

alwaysUseArchive

✘

Boolean

When true, always use an archive, even when there is only one file to download

archiveFolderStructure

✘

String

Control the folder structure in the download: CLIP_ID_PREFIXED is the legacy structure, FLAT is simply putting the filenames of the material instances as a flat structure

Enum: clip_id_prefixed, flat,

calculateSizeOnly

✘

Boolean

Create a preview of the archive only

collisionOptions

✘

CollisionOptions

downloadRequestType

✘

String

The type of download: FILTER (LEGACY is considered to be outdated and deprecated)

Enum: FILTER, LEGACY,

filters

✘

List of string

Use filters to select the media object instances to download - used when having downloadRequestType:FILTER

ids

✘

List of long

The ids of the media objects to download - only used when having downloadRequestType:LEGACY

int64

includeData

✘

Boolean

Include potential data tracks such as mxf reports

limit

✘

Integer

The limit to be applied when using filtered download, controls paging

int32

name

✘

String

The name of the resulting download

offset

✘

Integer

The offset to be applied when using filtered download, controls paging

int32

profile

✘

String

The profile of media object instances we want to download - only used when having downloadRequestType:LEGACY

quality

✘

String

The quality of media object instances we want to download - only used when having downloadRequestType:LEGACY

Enum: HIGH, MEDIUM, LOW, ULTRA,

type

✘

String

The type of media object instances we want to download - only used when having downloadRequestType:LEGACY

Enum: RAW, PROXY, EDL, SHOTSTITCH, STITCH, THUMB, THUMB_SHOT, THUMB_SIXTY, WAVEFORM, AUDIO_MONO, AUDIO_SPEECH, VOLDEMORT_XML, ATTACHMENT, HDR_PROXY, MEZZANINE_PROXY,

Return Type

✘

Content Type
  • application/json

Responses
Table 1. http response codes
Code Description Datatype

0

default response

``

The request body itself consists of the following parameters:

DownloadRequest

Field Name Required Type Description Format

alwaysUseArchive

✘

Boolean

When true, always use an archive, even when there is only one file to download

archiveFolderStructure

✘

String

Control the folder structure in the download: CLIP_ID_PREFIXED is the legacy structure, FLAT is simply putting the filenames of the material instances as a flat structure

Enum: clip_id_prefixed, flat,

calculateSizeOnly

✘

Boolean

Create a preview of the archive only

collisionOptions

✘

CollisionOptions

downloadRequestType

✘

String

The type of download: FILTER (LEGACY is considered to be outdated and deprecated)

Enum: FILTER, LEGACY,

filters

✘

List of string

Use filters to select the media object instances to download - used when having downloadRequestType:FILTER

ids

✘

List of long

The ids of the media objects to download - only used when having downloadRequestType:LEGACY

int64

includeData

✘

Boolean

Include potential data tracks such as mxf reports

limit

✘

Integer

The limit to be applied when using filtered download, controls paging

int32

name

✘

String

The name of the resulting download

offset

✘

Integer

The offset to be applied when using filtered download, controls paging

int32

profile

✘

String

The profile of media object instances we want to download - only used when having downloadRequestType:LEGACY

quality

✘

String

The quality of media object instances we want to download - only used when having downloadRequestType:LEGACY

Enum: HIGH, MEDIUM, LOW, ULTRA,

type

✘

String

The type of media object instances we want to download - only used when having downloadRequestType:LEGACY

Enum: RAW, PROXY, EDL, SHOTSTITCH, STITCH, THUMB, THUMB_SHOT, THUMB_SIXTY, WAVEFORM, AUDIO_MONO, AUDIO_SPEECH, VOLDEMORT_XML, ATTACHMENT, HDR_PROXY, MEZZANINE_PROXY,

CollisionOptions

Options to control filename collisions in the archive

Field Name Required Type Description Format

collisionResolveMode

✘

String

Which collision resolve method to use: postfix, fail or none. The latter could cause duplicate filenames in the archive.

Enum: fail, postfix, none,

collisionResolvePostfixAppend

✘

String

When using collisionResolveMode 'postfix', use this parameter to append the postfix counter

collisionResolvePostfixPrepend

✘

String

When using collisionResolveMode 'postfix', use this parameter to prepend the postfix counter

Example

The following input will generate an archive containing a flat structure with the _%d postfix to avoid duplicate filenames in the archive.

{
    "downloadRequestType": "FILTER",
    "filters": [
        "mediaObjectId:(31308)",
        "mediaObjectInstance.profile:\"web\"",
        "mediaObjectInstance.type:\"PROXY\"",
        "mediaObjectInstance.quality:\"HIGH\""
    ],
    "calculateSizeOnly": false,
    "name": "download.zip",
    "archiveFolderStructure": "FLAT",
    "collisionOptions": {
        "collisionResolveMode": "POSTFIX",
        "collisionResolvePostfixPrepend": "_"
    },
    "alwaysUseArchive": true
}